Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162717 - simplify_gen_subreg reports internal error (attached)
Summary: simplify_gen_subreg reports internal error (attached)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 23:51 UTC by Matt Ginsberg
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 10:32:16 UTC


Attachments (Terms of Use)
preprocessed source (deleted)
2005-07-07 23:52 UTC, Matt Ginsberg
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 22434 None None None Never

Description Matt Ginsberg 2005-07-07 23:51:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I assume attachment is sufficient; line of code is

    os << (lit ? display_lit(*i) : *i);

for an output stream os

Version-Release number of selected component (if applicable):
gcc-3.4.3-22.fc3

How reproducible:
Always

Steps to Reproduce:
1. compile the file
2.
3.
  

Additional info:

Comment 1 Matt Ginsberg 2005-07-07 23:53:00 UTC
Created attachment 116495 [details]
preprocessed source

Comment 2 Jakub Jelinek 2005-07-12 10:32:16 UTC
Tracking this upstream.


Note You need to log in before you can comment on or make changes to this bug.